# Class FilterParser

java.lang.Object
org.apache.zookeeper.graph.FilterParser

public class FilterParser extends Object

## Constructor Summary

Constructors
Constructor
Description
`FilterParser(String s)`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] args)`
`FilterOp`
`parse()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilterParser

public FilterParser(String s)

## Method Details

### parse

public FilterOp parse() throws IOException, FilterException

Throws:
  `IOException`
  `FilterException`

### main

public static void main(String[] args) throws IOException, FilterException

Throws:
  `IOException`
  `FilterException`